cd "M:\tr\Caroline\TradingOnTime\"
#delimit ;
for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==1\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;

use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total1.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==2\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total2.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==3\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total3.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==4\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total4.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==5\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total5.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==6\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total6.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==7\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total7.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==8\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total8.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==9\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total9.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==10\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total10.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==11\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total11.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==12\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total12.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==13\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total13.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==14\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total14.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: 
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_treatment==15\
drop union2 union3 id_control\
sort id_pair\
save "Export2003_A1.dta", replace\
use "Exp2003.dta", clear\
keep if union~=0\
keep if dist~=.\
keep if id_control==X\
drop union2 union3 id_treatment\
rename value value2\
sort id_pair\
save "Export2003_B1.dta", replace\
use "Export2003_A1.dta", clear\
merge id_pair using "Export2003_B1.dta"\
drop _merge\
gen cd_pair=id_treatment*100+id_control\
gen rate_exp=value/value2\
gen double igroup=id_i*100+union\
keep if rate_exp~=.\
keep id_e id_i igroup union cd_pair locked contig lang_off lang_eth colony comcol dist distcap gdp gdpc time rate_exp signatures doc_exp timei doci signi inspected_i rem\
sort igroup\
save "Export2003_A1B1.dta", replace\
rename id_e id_e2\
rename id_i id_i2\
rename contig contig2\
rename lang_off lang_off2\
rename lang_eth lang_eth2\
rename colony colony2\
rename comcol comcol2\
rename locked locked2\
rename dist dist2\
rename distcap distcap2\
rename gdp gdp2\
rename gdpc gdpc2\
rename time time2\
rename rate_exp rate_exp2\
rename signatures signatures2\
rename doc_exp doc_exp2\
rename timei timei2\
rename doci doci2\
rename signi signi2\
rename inspected_i inspected_i2\
rename rem rem2\
joinby igroup using "Export2003_A1B1.dta"\
drop if id_e2==id_e\
gen difference=id_e2-id_e\
drop if difference<0\
drop difference\
gen double pair=id_e2*1000+id_e\
gen ratio_HL=log(rate_exp2/rate_exp)\
gen ratio_gdp=log(gdp2/gdp)\
gen ratio_gdpc=log(gdpc2/gdpc)\
gen ratio_dt=log(dist2/dist)\
gen ratio_dtcap=log(distcap2/distcap)\
gen ratio_time=log(time2/time)\
gen ratio_sign=log(signatures2/signatures)\
gen ratio_doce=log(doc_exp2/doc_exp)\
gen ratio_timei=log(timei2/timei)\
gen ratio_doci=log(doci2/doci)\
gen ratio_signi=log(signi2/signi)\
gen ratio_insp=log(inspected_i2/inspected_i)\
gen ratio_rem=log(rem2/rem)\
gen diff_ctg=contig2-contig\
gen diff_lg=lang_off2-lang_off\
gen diff_lang=lang_eth2-lang_eth\
gen diff_col=colony2-colony\
gen diff_colo=comcol2-comcol\
gen diff_lk=locked2-locked\
keep union id_i cd_pair pair ratio_HL ratio_gdp ratio_dt ratio_dtcap ratio_time ratio_gdpc ratio_sign ratio_doce ratio_timei ratio_doci ratio_signi ratio_insp ratio_rem diff_ctg diff_lg diff_lang diff_col diff_colo diff_lk\
save "Pair1_X.dta", replace;
use "Pair1_1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: append using "Pair1_X.dta";
save "Pair_Total15.dta", replace;

for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16: erase "Pair1_X.dta";
use "Pair_Total1.dta", clear;
for any 2 3 4 5 6 7 8 9 10 11 12 13 14 15: append using "Pair_TotalX.dta";
drop if pair==710108|pair==108710|pair==710232|pair==232710|pair==710404|pair==404710|pair==710450|pair==450710|pair==710646|pair==646710|pair==710800|pair==800710;
for any 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15: erase "Pair_TotalX.dta";
 

